<div class="card mb-5 mb-xl-8">
  <div class="card-header border-0">
    <h2>{{ title }}</h2>
  </div>
</div>

<div class="card-body py-3">
  <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
    <div class="card mb-5 mb-xl-8">
      <div class="card-body">
        <div class="row">
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Username <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="text" formControlName="username" name="username" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">First Name <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="text" formControlName="firstname" name="firstname" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Last Name <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="text" formControlName="lastname" name="lastname" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Email <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="email" formControlName="email" name="email" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Birthdate <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="date" formControlName="birthdate" name="birthdate" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Basic Salary <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="number" formControlName="basic_salary" name="basic_salary" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Status <span class="text-danger">*</span></label>
              <div class="input-group">
                <select
                  class="form-select form-select-solid"
                  data-kt-select2="true"
                  data-placeholder="Select option"
                  data-allow-clear="true"
                  formControlName="status"
                >
                  <option *ngFor="let status of listStatusType; let i = index" [selected]="i === 0" [value]="status.value">{{ status.label }}</option>
                </select>
              </div>
            </div>
          </div>
          <div class="col-6 mb-4">
            <div class="form-group">
              <label class="mb-2">Group <span class="text-danger">*</span></label>
              <div class="input-group">
                <input type="text" formControlName="group" name="group" class="form-control" aria-describedby="" required />
              </div>
            </div>
          </div>
          <div class="col-12 mb-4">
            <div class="form-group">
              <label class="mb-2">Description <span class="text-danger">*</span></label>
              <div class="input-group">
                <textarea name="description" formControlName="description" id="" class="w-100" rows="10"></textarea>
              </div>
            </div>
          </div>
          <div class="row justify-content-end p-0">
            <div class="col-2 d-flex justify-content-end gap-3 p-0">
              <button type="submit" class="btn btn-secondary" (click)="previousState()">Kembali</button>
              <button type="submit" class="btn btn-primary d-flex btn-save">
                Simpan
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
